<template>
	<v-container style="height: 100%">
		<AddRow :students="students" @remove-row="removeRow" @add-row="addRow" @submit-form="submit" />
	</v-container>
</template>

<script>
import AddRow from './components/AddRow.vue';
export default {
	components: { AddRow },

	data() {
		return {
			students: [],
		};
	},
	created() {
		this.addRow();
	},
	methods: {
		removeRow(index) {
			this.students.splice(index, 1);
		},
		addRow() {
			this.students.push({
				studentNo: '',
				email: '',
				name: '',
			});
		},
		submit() {
			console.log(this.students);
		},
	},
};
</script>
